Page MenuHomePhabricator

Mailing list maintenance window - 2015-05-19 17:00 UTC to 19:00 UTC
Closed, ResolvedPublic

Description

I'll be taking the mailman service offline to remove a few mailing lists, and scrub some items from other lists. I've linked in all the associated tasks, with this as their blocker.

The following email was sent out regarding this work:

Mailing list maintenance window - 2015-05-19 17:00 UTC to 19:00 UTC

Please note that we will be working on a few open tasks for mailing list server maintenance, next Tuesday, May 19th from 17:00 to 19:00 UTC.

During this time, all mailing list traffic, as well as online archives, may become unavailable. Once the window has ended, all mail routing should resume normally, and any messages sent during the window will then be delivered accordingly.

All associated tasks and changes are linked from https://phabricator.wikimedia.org/T99098.

This mail has (initially) been send to all list administrators, and wikitech-l. Please feel free to forward to any other lists or parties that would need to know about this maintenance window.

Event Timeline

RobH created this task.May 14 2015, 5:35 PM
RobH updated the task description. (Show Details)
RobH raised the priority of this task from to Needs Triage.
RobH claimed this task.
RobH added a project: acl*sre-team.
RobH added a subscriber: RobH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2015, 5:35 PM
Krenair moved this task from Backlog to Shell/site on the Wikimedia-Mailing-lists board.
Krenair added a subscriber: Krenair.
RobH updated the task description. (Show Details)May 14 2015, 5:42 PM
RobH set Security to None.
RobH added a project: Roadmap.
Restricted Application added a project: Notice. · View Herald TranscriptMay 14 2015, 5:43 PM
RobH renamed this task from mailing list server maintainance window to Mailing list maintenance window - 2015-05-19 17:00 UTC to 19:00 UTC.May 14 2015, 5:44 PM
RobH triaged this task as Normal priority.
RobH moved this task from Unscheduled to May 18-22 on the Roadmap board.

This task is planned to be accomplished during the upcoming maintenance window on sodium, via T99098.

gpaumier moved this task from Backlog to Triaged on the Notice board.

Will "scrubbing items" result in the archives being re-indexed and pipermail links breaking?

Will "scrubbing items" result in the archives being re-indexed and pipermail links breaking?

An attachement is being removed only which means archive ids and links will not break for the particular list. This has been tested to ensure but since it does not affect a full message, it will not affect any ids.

Teles added a subscriber: Teles.May 16 2015, 2:05 AM
RobH closed this task as Resolved.May 20 2015, 6:20 PM

If it's possible please rename pywikipedia-l to pywikibot (the framework itself is changed)

gpaumier moved this task from Triaged to Archive on the Notice board.May 29 2015, 8:21 PM